Skip to main content
`Ctrl`+`K`

# DMInterpolationInfo

Pointer to a structure for holding information about interpolation on a mesh

## Synopsis

    comm     - The communicator
    dim      - The spatial dimension of points
    nInput   - The number of input points
    points[] - The input point coordinates
    cells[]  - The cell containing each point
    n        - The number of local points
    coords   - The point coordinates
    dof      - The number of components to interpolate

## See Also

DM Basics, `DM`, `DMInterpolationCreate()`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`

## Level

intermediate

## Location

include/petscdm.h

## Examples

src/ts/tutorials/ex77.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages